Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class SimpleServiceFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
          org.mule.config.spring.factories.SimpleServiceFactoryBean

All Implemented Interfaces:
  MuleContextAware, Initialisable, org.springframework.beans.factory.FactoryBean<FlowConstruct>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class SimpleServiceFactoryBean

extends AbstractFlowConstructFactoryBean

Builds SimpleService instances by using the SimpleServiceBuilder.

Field Summary

Fields inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`applicationContext, flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`SimpleServiceFactoryBean()`

Method Summary
`protected AbstractFlowConstructBuilder<SimpleServiceBuilder,SimpleService>` | `getFlowConstructBuilder()`
`Class<?>` | `getObjectType()`
`void` | `setAddress(String address)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setComponentBeanName(String componentBeanName)`
`void` | `setComponentClass(Class<?> componentClass)`
`void` | `setEndpointBuilder(EndpointBuilder endpointBuilder)`
`void` | `setMessageProcessor(MessageProcessor component)`
`void` | `setResponseTransformers(Transformer... responseTransformers)`
`void` | `setTransformers(Transformer... transformers)`
`void` | `setType(SimpleService.Type type)`

Methods inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`afterPropertiesSet, createFlowConstruct, getObject, initialise, isSingleton, setExceptionListener, setMessageSource, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleServiceFactoryBean

    public SimpleServiceFactoryBean()

Method Detail

### getObjectType

    public Class<?> getObjectType()

### getFlowConstructBuilder

    protected AbstractFlowConstructBuilder<SimpleServiceBuilder,SimpleService> getFlowConstructBuilder()

  Specified by:
    `getFlowConstructBuilder` in class `AbstractFlowConstructFactoryBean`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Overrides:
    `setApplicationContext` in class `AbstractFlowConstructFactoryBean`
  Throws:
    `org.springframework.beans.BeansException`

### setEndpointBuilder

    public void setEndpointBuilder(EndpointBuilder endpointBuilder)

### setAddress

    public void setAddress(String address)

### setTransformers

    public void setTransformers(Transformer... transformers)

### setResponseTransformers

    public void setResponseTransformers(Transformer... responseTransformers)

### setComponentClass

    public void setComponentClass(Class<?> componentClass)

### setComponentBeanName

    public void setComponentBeanName(String componentBeanName)

### setType

    public void setType(SimpleService.Type type)

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.